# OpenLayers.Format.WMTSCapabilities.v1_0_0

Read WMTS Capabilities version 1.0.0.

#### Inherits from

- OpenLayers.Format.WMTSCapabilities

Summary

OpenLayers.Format.WMTSCapabilities.v1_0_0 | Read WMTS Capabilities version 1.0.0.
Properties |
version | {String} The parser version (“1.0.0”).
namespaces | {Object} Mapping of namespace aliases to namespace URIs.
yx | {Object} Members in the yx object are used to determine if a CRS URN corresponds to a CRS with y,x axis order.
defaultPrefix | {String} The default namespace alias for creating element nodes.
Constructor |
OpenLayers.Format.WMTSCapabilities.v1_0_0 | Create a new parser for WMTS capabilities version 1.0.0.
Functions |
read | Read capabilities data from a string, and return info about the WMTS.
Properties |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.

### Properties

### version

{String} The parser version (“1.0.0”).

### namespaces

{Object} Mapping of namespace aliases to namespace URIs.

### yx

{Object} Members in the yx object are used to determine if a CRS URN corresponds to a CRS with y,x axis order. Member names are CRS URNs and values are boolean. Defaults come from the OpenLayers.Format.WMTSCapabilities prototype.

### defaultPrefix

{String} The default namespace alias for creating element nodes.

### Constructor

### OpenLayers.Format.WMTSCapabilities.v1_0_0

Create a new parser for WMTS capabilities version 1.0.0.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read capabilities data from a string, and return info about the WMTS.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Object} Information about the SOS service.

### Properties

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

> read: function( | data | )

Read capabilities data from a string, and return info about the WMTS.
Read WMTS Capabilities.
Close